libvtk5.8_5.8.0-13+b1_i386.deb


Advertisement

Description

libvtk5.8 - Visualization Toolkit - A high level 3D visualization library - runtime

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main i386
Package name libvtk5.8
Package version 5.8.0
Package release 13+b1
Package architecture i386
Package type deb
Installed size 44.30 KB
Download size 14.36 MB
Official Mirror ftp.br.debian.org
The Visualization Toolkit (VTK) is an object oriented, high level
library that allows one to easily write C++ programs, Tcl, Python and
Java scripts that do 3D visualization.
VTK enables users to concentrate on their work by providing a large
number of excellent and feature packed high level functions that do
visualization.  The library needs OpenGL to render the graphics and
for Linux machines Mesa is necessary. The terms/copyright can be read
in /usr/share/doc/vtk/README and README.html.  VTK-Linux-HOWTO has
information about using vtk, getting documentataion or help and
instructions on building VTK.
This package provides the shared libraries needed to run C++ programs
that use VTK.
To compile C++ code that uses VTK you have to install libvtk5-dev.

Alternatives

Package Version Architecture Repository
libvtk5.8_5.8.0-13+b1_amd64.deb 5.8.0 amd64 Debian Main
libvtk5.8_5.8.0-7+b0~nd70+1_amd64.deb 5.8.0 amd64 NeuroDebian Main
libvtk5.8_5.8.0-7+b0~nd70+1_i386.deb 5.8.0 i386 NeuroDebian Main
libvtk5.8 - - -

Requires

Name Value
libavcodec-extra-53 >= 6:0.8.3-4
libavcodec53 >= 6:0.8.3-4
libavformat53 >= 6:0.8.3-4
libavutil51 >= 6:0.8.3-4
libc6 >= 2.7
libexpat1 >= 2.0.1
libfreetype6 >= 2.2.1
libgcc1 >= 1:4.1.1
libgl1 -
libgl1-mesa-glx -
libgl2ps0 -
libjpeg8 >= 8c
libmysqlclient18 >= 5.5.24+dfsg-1
libnetcdfc++4 -
libnetcdfc7 -
libopenmpi1.3 -
libpng12-0 >= 1.2.13-4
libpq5 -
libqtcore4 >= 4:4.6.1
libqtgui4 >= 4:4.5.3
libsqlite3-0 >= 3.5.9
libstdc++6 >= 4.6
libswscale2 >= 6:0.8.3-4
libtiff4 >> 3.9.5-3~
libx11-6 -
libxml2 >= 2.7.4
libxt6 -
zlib1g >= 1:1.2.3.3

Conflicts

Name Value
libvtk -
libvtk32 -
libvtk4 -
libvtk4c2 -
libvtk4c2a -
libvtk5 -
python-vtk << 4.4

Replaces

Name Value
libvtk -
libvtk32 -
libvtk4 -
libvtk4c2 -
libvtk4c2a -
libvtk5 -

Download

Type URL
Binary Package libvtk5.8_5.8.0-13+b1_i386.deb
Source Package vtk

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libvtk5.8 deb package:
    # sudo apt-get install libvtk5.8

Files

Path
/usr/lib/libCosmo.so.5.8
/usr/lib/libCosmo.so.5.8.0
/usr/lib/libVPIC.so.5.8
/usr/lib/libVPIC.so.5.8.0
/usr/lib/libvtkCharts.so.5.8
/usr/lib/libvtkCharts.so.5.8.0
/usr/lib/libvtkCommon.so.5.8
/usr/lib/libvtkCommon.so.5.8.0
/usr/lib/libvtkDICOMParser.so.5.8
/usr/lib/libvtkDICOMParser.so.5.8.0
/usr/lib/libvtkFiltering.so.5.8
/usr/lib/libvtkFiltering.so.5.8.0
/usr/lib/libvtkGenericFiltering.so.5.8
/usr/lib/libvtkGenericFiltering.so.5.8.0
/usr/lib/libvtkGeovis.so.5.8
/usr/lib/libvtkGeovis.so.5.8.0
/usr/lib/libvtkGraphics.so.5.8
/usr/lib/libvtkGraphics.so.5.8.0
/usr/lib/libvtkHybrid.so.5.8
/usr/lib/libvtkHybrid.so.5.8.0
/usr/lib/libvtkIO.so.5.8
/usr/lib/libvtkIO.so.5.8.0
/usr/lib/libvtkImaging.so.5.8
/usr/lib/libvtkImaging.so.5.8.0
/usr/lib/libvtkInfovis.so.5.8
/usr/lib/libvtkInfovis.so.5.8.0
/usr/lib/libvtkParallel.so.5.8
/usr/lib/libvtkParallel.so.5.8.0
/usr/lib/libvtkRendering.so.5.8
/usr/lib/libvtkRendering.so.5.8.0
/usr/lib/libvtkViews.so.5.8
/usr/lib/libvtkViews.so.5.8.0
/usr/lib/libvtkVolumeRendering.so.5.8
/usr/lib/libvtkVolumeRendering.so.5.8.0
/usr/lib/libvtkWidgets.so.5.8
/usr/lib/libvtkWidgets.so.5.8.0
/usr/lib/libvtkalglib.so.5.8
/usr/lib/libvtkalglib.so.5.8.0
/usr/lib/libvtkexoIIc.so.5.8
/usr/lib/libvtkexoIIc.so.5.8.0
/usr/lib/libvtkftgl.so.5.8
/usr/lib/libvtkftgl.so.5.8.0
/usr/lib/libvtkmetaio.so.5.8
/usr/lib/libvtkmetaio.so.5.8.0
/usr/lib/libvtkproj4.so.5.8
/usr/lib/libvtkproj4.so.5.8.0
/usr/lib/libvtksys.so.5.8
/usr/lib/libvtksys.so.5.8.0
/usr/lib/libvtkverdict.so.5.8
/usr/lib/libvtkverdict.so.5.8.0
/usr/share/doc/libvtk5.8/README.html
/usr/share/doc/libvtk5.8/changelog.Debian.gz
/usr/share/doc/libvtk5.8/copyright
/usr/share/doc/libvtk5.8/vtkLogo.jpg
/usr/share/lintian/overrides/libvtk5.8

Changelog

2012-05-30 - Mathieu Malaterre <malat@debian.org>
vtk (5.8.0-13) unstable; urgency=low
* Make sure to include VTK/QT cmake file. Closes: #656115
* Revert back to libtiff4-dev and use libtiff-dev in d/control. Closes: #674998
* Fix tkInt.h installation, using proper cmake magic. Closes: #674169
* Make sure to discover init.tcl properly. Closes: #673245
2012-05-16 - Mathieu Malaterre <malat@debian.org>
vtk (5.8.0-12) unstable; urgency=low
* Install QT cmake export file with qt package. Closes: #656115
* Re-activate old patch from bug #506992. Closes: #672729
2012-05-08 - Mathieu Malaterre <malat@debian.org>
vtk (5.8.0-11) unstable; urgency=low
* fix FTBFS with gcc 4.7
2012-05-07 - Mathieu Malaterre <malat@debian.org>
vtk (5.8.0-10) unstable; urgency=low
* Use my @d.o alias, remove DMUA flag
* Move to Debian Science Team umbrella organisation
* Fix issue with libtiff5-dev transition
* Remove old dot hack, and generate svg output
* Fix vtk-doc package. Closes: #610964
* Move QT option within qt cmake file. Closes: #656115
2012-04-08 - Dominique Belhachemi <domibel@debian.org>
vtk (5.8.0-9) unstable; urgency=low
* fix FTBFS with boost 1.49 (Closes: #667878)
2012-03-13 - Dominique Belhachemi <domibel@debian.org>
vtk (5.8.0-8) unstable; urgency=low
* split VTKConfig.cmake into multiple parts (Closes: #584300)
2012-03-04 - Mathieu Malaterre <mathieu.malaterre@gmail.com>
vtk (5.8.0-7) unstable; urgency=low
* Prepare vtk for move to multi-arch (png,tiff,z,jpeg). Closes: #661676
* Bump to Std-Vers: 3.9.3, no changes needed.
2012-01-22 - Dominique Belhachemi <domibel@debian.org>
vtk (5.8.0-6) unstable; urgency=low
[Dominique Belhachemi]
* merged with upstream's release branch (Closes: #653805)
* set debian/compat=9 to receive CFLAGS
* cleanup debian/rules
* set build dependency from libhdf5-serial-dev to libhdf5-dev
[Mathieu Malaterre]
* Add missing man pages (remove lintian warnings)
* Fix needless-dependency-on-jre
2011-12-06 - Dominique Belhachemi <domibel@debian.org>
vtk (5.8.0-5) unstable; urgency=low
* install vtkWrapHierarchy and vtkEncodeString into /usr/bin
* install *Java.so* into /usr/lib/jni
2011-11-21 - Dominique Belhachemi <domibel@debian.org>
vtk (5.8.0-4) unstable; urgency=low
* upload to unstable
* removed some java annotations and generics to fix FTBFS on kfreebsd
* fixed tcl path

See Also

Package Description
libvtkedge-dev_0.2.0~20110819-2_i386.deb Library of advanced visualization and data processing techniques - development
libvtkedge_0.2.0~20110819-2_i386.deb Library of advanced visualization and data processing techniques - runtime
libvtkgdcm-cil_2.2.0-14.1_i386.deb Grassroots DICOM VTK CLI bindings
libvtkgdcm-java_2.2.0-14.1_i386.deb Grassroots DICOM VTK Java bindings
libvtkgdcm-tools_2.2.0-14.1_i386.deb Grassroots DICOM VTK tools and utilities
libvtkgdcm2-dev_2.2.0-14.1_i386.deb Grassroots DICOM VTK development libraries and headers
libvtkgdcm2.2_2.2.0-14.1_i386.deb Grassroots DICOM VTK runtime libraries
libvxl1-dev_1.14.0-18_i386.deb C++ Libraries for Computer Vision Research
libvxl1.14_1.14.0-18_i386.deb C++ Libraries for Computer Vision Research
libwacom-common_0.6-1_all.deb Wacom model feature query library (common files)
libwacom-dev_0.6-1_i386.deb Wacom model feature query library (development files)
libwacom2_0.6-1_i386.deb Wacom model feature query library
libwaei-dev_3.4.3-1_i386.deb Japanese-English Dictionary for GNOME
libwaei2_3.4.3-1_i386.deb Japanese-English Dictionary for GNOME
libwagon-java-doc_1.0.0-2_all.deb tools to manage Maven artifacts and deployment - documentation
Advertisement
Advertisement